scenario = "Visual Search Eye";
pcl_file = "vis_search_eye.pcl"; 
no_logfile = true;  

active_buttons = 2;
button_codes = 1, 2; 
target_button_codes = 11, 12;

begin;

$size = 10;

#define search items
box { height = 18; width = 6; color = 255,0,0; } target;  
array {                                                
   LOOP $i 20;
   box { height = 1; width = 1; color = 0,0,255; };
   ENDLOOP;
} boxes;

#define fixation marker (cross)
box { height = 2; width = 20; color = 255,255,255; } fix_hor;
box { height = 20; width = 2; color = 255,255,255; } fix_ver;  

#box { height = 20; width = 20; color = 0,0,255; } fix_trace;  

picture {
   box fix_hor; x = 0; y = 0;
   box fix_ver; x = 0; y = 0;
} default;

#specify trial parameters  
trial {
   trial_duration = forever;
   trial_type = first_response;
   all_responses = false;   
   
   picture default;
   time = 0;
   
   stimulus_event {
      picture {} pic1; 
      stimulus_time_in = 200;
      time = 1000;
   } event1;
} trial1;

#specify instruction screen 
trial {      
   trial_duration = forever;
   trial_type = first_response;
   
   picture {
      text {
         caption = 
"You can randomize your stimuli and
randomly construct stimuli as the
experiment is running. Here, the stimuli
are generated during the scenario. 
If a red square is present, click the 
left mouse button. Otherwise, click the
right mouse button.";
         font_size = 14;
      } results_text;
      x = 0; y = 0;
      text {
         caption = "Click the mouse to continue...";
         font_size = 14;
      };
      x = 0; y = -200;
   };
} message_trial;